Files
Import CSV for a specific program
POST
/
csv_import
/
{program_id}
Import CSV for a specific program
curl --request POST \
--url https://api.helpyousponsor.com/v1/csv_import/{program_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"file": "<string>",
"import_type": "<string>"
}
'import requests
url = "https://api.helpyousponsor.com/v1/csv_import/{program_id}"
payload = {
"file": "<string>",
"import_type": "<string>"
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({file: '<string>', import_type: '<string>'})
};
fetch('https://api.helpyousponsor.com/v1/csv_import/{program_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fields": [
{}
],
"first_row": [
"<string>"
],
"filename": "<string>",
"program_id": 123,
"program": {},
"import_type": "<string>",
"settings": {},
"aii": true
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
ID of the program
Body
application/json
CSV file and import type
Response
Successful operation
Fields related to the import type
First row of the CSV file
Name of the uploaded file
ID of the program
Program details
Type of import
Settings related to the import type
Auto increment ID status
⌘I
Import CSV for a specific program

